Public

Extern

	Function IrrCore_Vector3df_new:Int(x:Float=0.0,y:Float=0.0,z:Float=0.0)
	Function IrrCore_Vector3df_newFromVect:Int(pOther:Int)
	Function IrrCore_Vector3df_newFromVal:Int(n:Float)
	Function IrrCore_Vector3df_del(pDelVect:Int)
	Function IrrCore_Vector3df_set:Int(pVect:Int,x:Float,y:Float,z:Float)
	Function IrrCore_Vector3df_setFromVect:Int(pVect:Int,pOther:Int)
	Function IrrCore_Vector3df_getX:Float(pVect:Int)
	Function IrrCore_Vector3df_getY:Float(pVect:Int)
	Function IrrCore_Vector3df_getZ:Float(pVect:Int)
	Function IrrCore_Vector3df_setX(pVect:Int,x:Float)
	Function IrrCore_Vector3df_setY(pVect:Int,x:Float)
	Function IrrCore_Vector3df_setZ(pVect:Int,x:Float)
	
	Function IrrCore_Vector3df_getLength:Double(pVect:Int)
	Function IrrCore_Vector3df_getLengthSQ:Float(pVect:Int)
	Function IrrCore_Vector3df_dotProduct:Float(pVect:Int,pOther:Int)
	Function IrrCore_Vector3df_getDistanceFrom:Float(pVect:Int,pOther:Int)
	Function IrrCore_Vector3df_getDistanceFromSQ:Float(pVect:Int,pOther:Int)
	Function IrrCore_Vector3df_normalize:Int(pVect:Int)
	Function IrrCore_Vector3df_rotateXZBy(pVect:Int,degrees:Double,pCenter:Int = 0)
	Function IrrCore_Vector3df_rotateXYBy(pVect:Int,degrees:Double,pCenter:Int = 0)
	Function IrrCore_Vector3df_rotateYZBy(pVect:Int,degrees:Double,pCenter:Int = 0)
	Function IrrCore_Vector3df_crossProduct:Int(pVect:Int,pOther:Int)
	Function IrrCore_Vector3df_isBetweenPoints:Int(pVect:Int,pBegin:Int,pEnd:Int) 
	Function IrrCore_Vector3df_setLength:Int(pVect:Int,newlength:Float)
	Function IrrCore_Vector3df_invert:Int(pVect:Int)
	Function IrrCore_Vector3df_getInterpolated:Int(pVect:Int,pOther:Int,d:Double)
	
	Function IrrCore_Vector3df_setEq:Int(pVect:Int,pOther:Int)
	Function IrrCore_Vector3df_EqEq:Int(pVect:Int,pOther:Int)
	Function IrrCore_Vector3df_NotEq:Int(pVect:Int,pOther:Int)
	Function IrrCore_Vector3df_GreatEq:Int(pVect:Int,pOther:Int)
	Function IrrCore_Vector3df_LessEq:Int(pVect:Int,pOther:Int)
	Function IrrCore_Vector3df_Plus:Int(pVect:Int,pOther:Int)
	Function IrrCore_Vector3df_PlusEq:Int(pVect:Int,pOther:Int)
	Function IrrCore_Vector3df_PlusVal:Int(pVect:Int,val:Float)
	Function IrrCore_Vector3df_PlusEqVal:Int(pVect:Int,val:Float)
	Function IrrCore_Vector3df_Minus:Int(pVect:Int,pOther:Int)
	Function IrrCore_Vector3df_MinusEq:Int(pVect:Int,pOther:Int)
	Function IrrCore_Vector3df_MinusVal:Int(pVect:Int,val:Float)
	Function IrrCore_Vector3df_MinusEqVal:Int(pVect:Int,val:Float)
	Function IrrCore_Vector3df_MultVect:Int(pVect:Int,pOther:Int)
	Function IrrCore_Vector3df_Mult:Int(pVect:Int,v:Float)
	Function IrrCore_Vector3df_MultEqVect:Int(pVect:Int,pOther:Int)
	Function IrrCore_Vector3df_MultEq:Int(pVect:Int,v:Float)
	Function IrrCore_Vector3df_DivVect:Int(pVect:Int,pOther:Int)
	Function IrrCore_Vector3df_Div:Int(pVect:Int,v:Float)
	Function IrrCore_Vector3df_DivEqVect:Int(pVect:Int,pOther:Int)
	Function IrrCore_Vector3df_DivEq:Int(pVect:Int,v:Float)

	Function IrrCore_Vector3df_getAs4Values(pVect:Int,vals:Float Ptr)
	Function IrrCore_Vector3df_getHorizontalAngle:Int(pVect:Int) ' returns vector3df* 

	Function IrrCore_Vector3df_Less:Int(pVector3df:Int,pVector3df_other:Int)	
	Function IrrCore_Vector3df_Great:Int(pVector3df:Int,pVector3df_other:Int)
	Function IrrCore_Vector3df_equals:Int(pVector3df:Int,pVector3df_other:Int,tolerance:Float = 0.000001)
	Function IrrCore_Vector3df_getInterpolated_quadratic:Int(pVector3df:Int,pVector3df_v2:Int,pVector3df_v3:Int,d:Double) ' returns vector3df*

	' do not delete
	Function IrrCore_Vector3df_interpolate:Int(pVector3df:Int, pVector3df_a:Int, pVector3df_b:Int, d:Double) ' returns vector3df*
	
	' must delete
	Function IrrCore_Vector3df_rotationToDirection:Int(pVector3df:Int, pVector3df_forwards:Int = 0) ' returns vector3df*
	' must delete
	Function IrrCore_Vector3df_getSphericalCoordinateAngles:Int(pVector3df:Int) ' returns vector3df*

EndExtern

