Public

Type SJoystickInfo Extends IrrBase Final

	Const POV_HAT_PRESENT:Int = 0
	Const POV_HAT_ABSENT:Int = 1
	Const POV_HAT_UNKNOWN:Int = 2
	
	Function createFromHandle:SJoystickInfo(pHandle:Int,bMustDel:Int=True)
		If Not pHandle Then Return Null
		Local oRetVal:SJoystickInfo=New SJoystickInfo
		oRetVal.attach(pHandle,bMustDel)
		Return oRetVal
	EndFunction

	Method Delete()
		If (mustdelete) Then Irr_SJoystickInfo_del(handle)
	EndMethod	

	Function create:SJoystickInfo()
		Return SJoystickInfo.createFromHandle(Irr_SJoystickInfo_new())
	EndFunction
	
	Method getJoystick:Byte()
		Return Irr_SJoystickInfo_getJoystick(handle)
	EndMethod
	
	Method setJoystick(joystick:Byte)
		Irr_SJoystickInfo_setJoystick(handle, joystick)
	EndMethod
	
	Method getName:String()
		Return Irr_SJoystickInfo_getName(handle)
	EndMethod
	
	Method setName(name:String)
		Irr_SJoystickInfo_setName(handle, name)
	EndMethod
	
	Method getButtons:Int()
		Return Irr_SJoystickInfo_getButtons(handle)
	EndMethod
	
	Method setButtons(buttons:Int)
		Irr_SJoystickInfo_setButtons(handle, buttons)
	EndMethod
	
	Method getAxes:Int()
		Return Irr_SJoystickInfo_getAxes(handle)
	EndMethod
	
	Method setAxes(axes:Int)
		Irr_SJoystickInfo_setAxes(handle, axes)
	EndMethod
	
	Method getPovHat:Int()
		Return Irr_SJoystickInfo_getPovHat(handle)
	EndMethod
	
	Method setPovHat(povhat:Int)
		Irr_SJoystickInfo_setPovHat(handle, povhat)
	EndMethod

EndType


