'! Types of built in particle emitters
'enum E_PARTICLE_EMITTER_TYPE

Const EPET_POINT:Int = 0
Const EPET_ANIMATED_MESH:Int = 1
Const EPET_BOX:Int = 2
Const EPET_CYLINDER:Int = 3
Const EPET_MESH:Int = 4
Const EPET_RING:Int = 5
Const EPET_SPHERE:Int = 6
Const EPET_COUNT:Int = 7

'! Names for built in particle emitters
Global ParticleEmitterTypeNames:String[] = ..
[ ..
	"Point", ..
	"AnimatedMesh", ..
	"Box", ..
	"Cylinder", ..
	"Mesh", ..
	"Ring", ..
	"Sphere", ..
	"" ..
]