
Public

Type CVertexBuffer Extends IVertexBuffer Final

	Function createFromIndexType:CVertexBuffer(E_VERTEX_TYPE:Int)
		Return createFromHandle(IrrScene_CVertexBuffer_newFromIndexType(E_VERTEX_TYPE), True)
	EndFunction

	Function createFromOther:CVertexBuffer(other:IVertexBuffer)
		Return createFromHandle(IrrScene_CVertexBuffer_newFromOther(other.handle), True)
	EndFunction

	Function createFromHandle:CVertexBuffer(pHandle:Int,bMustDel:Int=False)
		If Not pHandle Then Return Null
		Local oRetVal:CVertexBuffer=New CVertexBuffer
		oRetVal.attach(pHandle,bMustDel)
		Return oRetVal
	EndFunction
	
	Method drop:Int()
		If mustdelete Then mustdelete=False		
		Return IrrScene_IVertexBuffer_drop(handle)
	EndMethod
	
	Method getDebugName:String()
		Return IrrScene_IVertexBuffer_getDebugName(handle)
	EndMethod
	
	Method grab()
		IrrScene_IVertexBuffer_grab(handle)
	EndMethod

	Method Delete()
		If (mustdelete) Then drop()
	EndMethod
	
EndType