
Public

Extern
	' ------------------------------------------------------------------------------------
	'  irr::scene::ITerrainSceneNode wrappers (based on ISceneNode)
	' ------------------------------------------------------------------------------------
	
	Function IrrScene_ITerrainSceneNode_getBoundingBoxFromPatch:Int(pITerrainSceneNode_sn:Int,patchX:Int,patchZ:Int) ' returns aabbox3d<f32>* 
	Function IrrScene_ITerrainSceneNode_getBoundingBox:Int(pITerrainSceneNode_sn:Int) ' returns aabbox3d<f32>* 
	Function IrrScene_ITerrainSceneNode_getCurrentLODOfPatches:Int(pITerrainSceneNode_sn:Int,parray_s32_LODs:Int)
	Function IrrScene_ITerrainSceneNode_getIndexCount:Int(pITerrainSceneNode_sn:Int)
	'  note, this populates outIndicies
	Function IrrScene_ITerrainSceneNode_getIndicesForPatch:Int(pITerrainSceneNode_sn:Int,parray_u32_outIndicies:Int,patchX:Int,patchZ:Int,LOD:Int=0)
	' do not delete
	Function IrrScene_ITerrainSceneNode_getMesh:Int(pITerrainSceneNode_sn:Int) ' returns IMesh* 
	Function IrrScene_ITerrainSceneNode_getMeshBufferForLOD(pITerrainSceneNode_sn:Int,pIDynamicMeshBuffer_mb:Int, LOD:Int = 0)
	Function IrrScene_ITerrainSceneNode_setLODOfPatch(pITerrainSceneNode:Int,patchX:Int,patchZ:Int,LOD:Int = 0)
	Function IrrScene_ITerrainSceneNode_getTerrainCenter:Int(pITerrainSceneNode_sn:Int) ' returns vector3df* 
	Function IrrScene_ITerrainSceneNode_overrideLODDistance:Int(pITerrainSceneNode_sn:Int,LOD:Int,newDistance:Double)
	Function IrrScene_ITerrainSceneNode_scaleTexture(pITerrainSceneNode_sn:Int,scale:Float=1.0,scale2:Float=0.0)
	Function IrrScene_ITerrainSceneNode_setCameraMovementDelta(pITerrainSceneNode_sn:Int,delta:Float)
	Function IrrScene_ITerrainSceneNode_setCameraRotationDelta(pITerrainSceneNode_sn:Int,delta:Float)
	Function IrrScene_ITerrainSceneNode_setDynamicSelectorUpdate(pITerrainSceneNode_sn:Int,bVal:Int)
	Function IrrScene_ITerrainSceneNode_getHeight:Float(pITerrainSceneNode_sn:Int,x:Float,y:Float)
	Function IrrScene_ITerrainSceneNode_loadHeightMap:Int(pITerrainSceneNode:Int, pIReadFile:Int, pSColor_vertexColor:Int = 0, smoothFactor:Int = 0)
	Function IrrScene_ITerrainSceneNode_loadHeightMapRAW:Int(pITerrainSceneNode:Int, pIReadFile:Int, bitsPerPixel:Int = 16, bSignedData:Int = False, bFloatVals:Int = False, width:Int = 0, pSColor_vertexColor:Int = 0, smoothFactor:Int = 0)

EndExtern

