Type TERRAIN Extends ib3d_Entity
	Global TerrainList:TList=Null

	Field _terrain:ITerrainSceneNode=Null
	
	Method New()
		If Not TerrainList Then TerrainList=New TList
		TerrainList.AddLast(Self)
	EndMethod

	Method Destroy()
		Super.Destroy()
		TerrainList.Remove(Self)
		_terrain=Null
	EndMethod
	
	Method setNode(node:ISceneNode)
		If Not node.IsValid() Then RuntimeError "setNode is invalid"
		_terrain=ITerrainSceneNode(node)
		Super.setNode(node)
	EndMethod
EndType

Rem
CreateTerrain - ITerrainSceneNode()	
LoadTerrain - ISceneManager.addTerrainSceneNode()	
TerrainSize - ITerrainSceneNode.getBoundingBox()	
TerrainDetail	
TerrainShading	
TerrainHeight - ITerrainSceneNode.getBoundingBox()	
ModifyTerrain	
TerrainX	
TerrainY	
TerrainZ
EndRem
