Public

Type SNamedPath Extends IrrBase Final

	Function createFromHandle:SNamedPath(pHandle:Int,bMustDel:Int=True)
		If Not pHandle Then Return Null
		Local oRetVal:SNamedPath = New SNamedPath
		oRetVal.attach(pHandle, bMustDel)
		Return oRetVal
	EndFunction

	Function create:SNamedPath()
		Return createFromHandle(IrrIO_SNamedPath_new())
	EndFunction
	
	Function createFromPath:SNamedPath(other:SNamedPath)
		return createFromHandle(_HANDLE(other))
	EndFunction
	
	Method Delete()
		If (mustdelete) Then IrrIO_SNamedPath_del(handle)
	EndMethod	
	
	Method LessThan:Int(other:SNamedPath)
		Return IrrIO_SNamedPath_LessThan(handle, _HANDLE(other)) 
	EndMethod
	
	Method setPath(path:SNamedPath)
		IrrIO_SNamedPath_setPath(handle, _HANDLE(path)) 
	EndMethod
	
	Method getPath:String()
		Return IrrIO_SNamedPath_getPath(handle)
	EndMethod
	
	Method getInternalName:String()
		IrrIO_SNamedPath_getInternalName(handle)
	EndMethod
	
EndType




