' ------------------------------------------------------------------------------------
' irr::SAttributeReadWriteOptions wrapper
' ------------------------------------------------------------------------------------
Public

Type SAttributeReadWriteOptions Extends IrrBase Final
	
	Function createFromHandle:SAttributeReadWriteOptions(pHandle:Int,bMustDel:Int=True)
		If Not pHandle Then Return Null
		Local oRetVal:SAttributeReadWriteOptions=New SAttributeReadWriteOptions
		oRetVal.attach(pHandle,bMustDel)
		Return oRetVal
	EndFunction

	Method Delete()
		If (mustdelete) Then Irr_SAttributeReadWriteOptions_del(handle)
	EndMethod	

	Function create:SAttributeReadWriteOptions()
		Return SAttributeReadWriteOptions.createFromHandle(Irr_SAttributeReadWriteOptions_new())
	EndFunction

	Method getFlags:Int()
		Return Irr_SAttributeReadWriteOptions_getFlags(handle)
	EndMethod
	
	Method setFlags(flags:Int)
		Irr_SAttributeReadWriteOptions_setFlags(handle,flags)
	EndMethod
	
	Method getFilename:String()
		Return Irr_SAttributeReadWriteOptions_getFilename(handle)
	EndMethod
	
	Method setFilename(filename:String)
		Irr_SAttributeReadWriteOptions_setFilename(handle,filename)
	EndMethod
	
EndType


