Public

' enum E_ANIMATED_MESH_TYPE
' ! Unknown animated mesh type.
Const EAMT_UNKNOWN:Int = 0

' ! Quake 2 MD2 model file
Const EAMT_MD2:Int = 1

' Quake 3 MD3 model file
Const EAMT_MD3:Int = 2

' ! Maya .obj Not animated model
Const EAMT_OBJ:Int = 3

' ! Quake 3 .bsp Map= Not animated
Const EAMT_BSP:Int = 4

' ! 3D Studio .3ds file
Const EAMT_3DS:Int = 5

' ! My3D Mesh= the file format by Zhuck Dimitry
Const EAMT_MY3D:Int = 6

' ! Pulsar LMTools (.lmts) file. The Irrlicht loader For this was written by
' ! Jonas Petersen
Const EAMT_LMTS:Int = 7

' ! Cartography Shop .csm file. The loader For this was created by Saurav Mohapatra.
Const EAMT_CSM:Int = 8

' ! .oct file For Paul Nette's FSRad or from Murphy McCauley's Blender .oct exporter.
' ! The oct file format contains 3D geometry And lightmaps And can 
' ! be loaded directly by Irrlicht
Const EAMT_OCT:Int = 9

' ! generic skinned mesh
Const EAMT_SKINNED:Int = 10
