Public 

' ------------------------------------------------------------------------------------
'  irr::video::IGPUProgrammingServices wrappers
' 
'  WARNING: this cannot be created manually.  it can be obtained by calling
'  IVideoDriver::getGPUProgrammingServices()
' ------------------------------------------------------------------------------------
Extern 

	Function IrrVideo_IGPUProgrammingServices_addHighLevelShaderMaterial:Int( ..
		pIGPUProgrammingServices_gpusrv:Int, ..
		vertexShaderProgram$z, ..
		vertexShaderEntryPointName$z, ..
		E_VERTEX_SHADER_TYPE_vsCompileTarget:Int, ..
		pixelShaderProgram$z, ..
		pixelShaderEntryPointName$z, ..
		E_PIXEL_SHADER_TYPE_psCompileTarget:Int, ..
		geometryShaderProgram$z, ..
		geometryShaderEntryPointName$z = Null, ..
		E_GEOMETRY_SHADER_TYPE_gsCompileTarget:Int = EGST_GS_4_0, ..
		E_PRIMITIVE_TYPE_inType:Int = EPT_TRIANGLES, ..
		E_PRIMITIVE_TYPE_outType:Int = EPT_TRIANGLE_STRIP, ..
		verticesOut:Int = 0, ..			
		pIShaderConstantSetCallBack_callback:Int=0, ..
		E_MATERIAL_TYPE_baseMaterial:Int=EMT_SOLID, ..
		userData:Int=0)

	Function IrrVideo_IGPUProgrammingServices_addHighLevelShaderMaterialFromFiles:Int( ..
		pIGPUProgrammingServices_gpusrv:Int, ..
		vertexShaderProgramFileName$z, ..
		vertexShaderEntryPointName$z, ..
		E_VERTEX_SHADER_TYPE_vsCompileTarget:Int, ..
		pixelShaderProgramFileName$z, ..
		pixelShaderEntryPointName$z, ..
		E_PIXEL_SHADER_TYPE_psCompileTarget:Int, ..
		geometryShaderProgramFileName$z, ..
		geometryShaderEntryPointName$z = Null, ..
		E_GEOMETRY_SHADER_TYPE_gsCompileTarget:Int = EGST_GS_4_0, ..
		E_PRIMITIVE_TYPE_inType:Int = EPT_TRIANGLES, ..
		E_PRIMITIVE_TYPE_outType:Int = EPT_TRIANGLE_STRIP, ..
		verticesOut:Int = 0, ..
		pIShaderConstantSetCallBack_callback:Int = 0, ..
		E_MATERIAL_TYPE_baseMaterial:Int = EMT_SOLID, ..
		userData:Int = 0)

	Function IrrVideo_IGPUProgrammingServices_addHighLevelShaderMaterialFromFilesIO:Int( ..
		pIGPUProgrammingServices_gpusrv:Int, ..
		pIReadFile_vertexShaderProgram:Int, ..
		vertexShaderEntryPointName$z, ..
		E_VERTEX_SHADER_TYPE_vsCompileTarget:Int, ..
		pIReadFile_pixelShaderProgram:Int, ..
		pixelShaderEntryPointName$z, ..
		E_PIXEL_SHADER_TYPE_psCompileTarget:Int, ..
		pIReadFile_geometryShaderProgram:Int, ..
		geometryShaderEntryPointName$z = Null, ..
		E_GEOMETRY_SHADER_TYPE_gsCompileTarget:Int = EGST_GS_4_0, ..
		E_PRIMITIVE_TYPE_inType:Int = EPT_TRIANGLES, ..
		E_PRIMITIVE_TYPE_outType:Int = EPT_TRIANGLE_STRIP, ..
		verticesOut:Int = 0, ..
		pIShaderConstantSetCallBack_callback:Int = 0, ..
		E_MATERIAL_TYPE_baseMaterial:Int = EMT_SOLID, ..
		userData:Int = 0)

	Function IrrVideo_IGPUProgrammingServices_addHighLevelShaderMaterialFromFileStream:Int( ..
		pIGPUProgrammingServices_gpusrv:Int, ..
		pIReadFile_vertexShaderProgram:Int, ..
		vertexShaderEntryPointName:Byte Ptr=Null, ..
		E_VERTEX_SHADER_TYPE_vsCompileTarget:Int=EVST_VS_1_1, ..
		pIReadFile_pixelShaderProgram:Int=0, ..
		pixelShaderEntryPointName:Byte Ptr=Null, ..
		E_PIXEL_SHADER_TYPE_psCompileTarget:Int=EPST_PS_1_1, ..
		pIShaderConstantSetCallBack_callback:Int=0, ..
		E_MATERIAL_TYPE_baseMaterial:Int=EMT_SOLID, ..
		userData:Int=0)

	Function IrrVideo_IGPUProgrammingServices_addShaderMaterial:Int( ..
		pIGPUProgrammingServices_gpusrv:Int, ..
		vertexShaderProgram:Byte Ptr=Null, ..
		pixelShaderProgram:Byte Ptr=Null, ..
		pIShaderConstantSetCallBack_callback:Int=0, ..
		E_MATERIAL_TYPE_baseMaterial:Int=EMT_SOLID, ..
		userData:Int=0)

	Function IrrVideo_IGPUProgrammingServices_addShaderMaterialFromFiles:Int( ..
		pIGPUProgrammingServices_gpusrv:Int, ..
		vertexShaderProgramFileName:Byte Ptr, ..
		pixelShaderProgramFileName:Byte Ptr, ..
		pIShaderConstantSetCallBack_callback:Int=0, ..
		E_MATERIAL_TYPE_baseMaterial:Int=EMT_SOLID, ..
		userData:Int=0)

	Function IrrVideo_IGPUProgrammingServices_addShaderMaterialFromFileStream:Int( ..
		pIGPUProgrammingServices_gpusrv:Int, ..
		pIReadFile_vertexShaderProgram:Int, ..
		pIReadFile_pixelShaderProgram:Int, ..
		pIShaderConstantSetCallBack_callback:Int=0, ..
		E_MATERIAL_TYPE_baseMaterial:Int=EMT_SOLID, ..
		userData:Int=0)

EndExtern

